Bug 1889740 - Clicking extract here on a zip in a external usb drive makes the drive busy forever not allowing it to eject on fedora silverblue 33
Summary: Clicking extract here on a zip in a external usb drive makes the drive busy f...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/fedora-silverblue/...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 13:39 UTC by monterr
Modified: 2020-10-24 08:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-22 11:14:16 UTC
Type: Bug


Attachments (Terms of Use)

Description monterr 2020-10-20 13:39:17 UTC
Description of problem:

By copying a zip file to a pen drive and right clicking extract here on a zip in the nautilus it makes the drive busy forever not allowing it to eject even after operation ended and nautilus closed.

Clicking on eject anyway gives an error as device or resource busy.

Version-Release number of selected component (if applicable):

nautilus-3.38.1-1.fc33.x86_64


How reproducible:

Always.

Steps to Reproduce:
1. Copy zip file to external drive
2. Right click on the file and extract here
3. Try to eject the drive after operation ended

Actual results:

Can't eject the drive.

Expected results:

Normal eject possible.

Additional info:

Comment 1 Ondrej Holy 2020-10-22 07:00:00 UTC
I've just tried on Fedora 33 Workstation and I can't reproduce, does this happen only on Silverblue, don't you know? Does this happen only on Fedora 33? I have some issues with drive redirection, so I can't test with my Silverblue VM right now. This might be just some missing close(). You can try killing the nautilus process, nautilus is not usually terminated immediately after closing...

Comment 2 monterr 2020-10-22 09:10:58 UTC
I believe that it is a silverblue only bug and I think it has to do with the archive manager flatpak's sandbox if what I think is true that nautilus is using it for decompression which I don't know.

But I can't reproduce this anymore today, there might have been an update that fixed the issue!

Comment 3 monterr 2020-10-22 09:17:32 UTC
Well I got a different error now after updating ventoy on a usb drive that has ventoy installed in it, it says unable to access "partition name" No object for D-bus interface when trying to opening it or ejecting the drive, killing nautilus process and trying again leads to the same errors and outcome.

Comment 4 Ondrej Holy 2020-10-22 11:14:16 UTC
Nautilus uses gnome-autoar library currently and it is not installed over Flatpak on Silverblue, so this is not probably related to the sandbox. Since you can't reproduce this now, let's close the bug as there is not much we can do without further info. The other issue you mentioned seems unrelated, but might be a bug in GVfs as per https://askubuntu.com/a/1128845. If you are able to reproduce it, can you please open a new issue for it with more details (ideally on https://gitlab.gnome.org/GNOME/gvfs/-/issues/new), please?

Comment 5 monterr 2020-10-24 08:38:03 UTC
I am able to reproduce the second issue and gonna open a bug on gitlab, thanks.


Note You need to log in before you can comment on or make changes to this bug.